View Issue Details

IDProjectCategoryView StatusLast Update
0004874MediaMonkey 4Playlist / Searchpublic2009-02-19 23:45
Reporterpeke Assigned To 
PriorityimmediateSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Fixed in Version3.1 
Summary0004874: Play Order ('#' column) Sorting doesn't work correctly
DescriptionAs we plan to introduce Column # in 3.1 I have done intensive testing and found few things that can be improved in its behavior I'll be adding one by one separated by Tree views: Now Playing, Album, Playlist, Artist

Now Playing:
------------
When You rearrange Now playing tracks are automatically renumbered and user can't revert to original order in cases where he/she changes order to artist just to see if some artist is already in Now playing list. Basically We should add few additional features to # Column:
1. Click on column sort view to column
2. Right click On # Column should execute renumbering according to current sort
3. Now Playing Behavior and Track View that shows Now Playing (Tree -> Now Playing) Should Not be Synchronized unless 2. is executed (which result in renumbering playlist) especially when Now Playing Windows is enabled in which case Now playing shows actual playlist and track view can be used to search, navigate tracks in now playing list like any other tracks view.

Album:
------
1. Default Sort Should be Disk# -> Track# not only Track#
2. Click On Column# should revert Sort to Disk# -> Track#

Playlists:
----------
Same as Now Playing:
1. Click on column sort view to column
2. Right click On # Column should execute renumbering according to current sort

Artist:
-------
1. Artist -> Album List -> Album name is not Sorted by Disk# -> Track#, even they are not sorted by Track# but they are sorted by Title
Tagsdoc_help
Fixed in build1202

Relationships

related to 0001273 closedpetr Sorting isn't enabled for Now Playing (crash) 
parent of 0005166 closedLudek No UI Updating a Playlist's Play Order 
related to 0000132 closedpetr Numbers in Track Titles are Confusing 
related to 0005016 closedpetr Track order display should be configurable 
related to 0005165 new Sorting in Now Playing resets the Play Order 

Activities

jiri

2008-10-17 21:00

administrator   ~0014778

There is Undo command available for this purpose, isn't it?

peke

2008-10-18 02:44

developer   ~0014782

Last edited: 2008-10-18 03:11

I'm not sure why undo is needed as user only wants to easily navigate Now Playing and easier find Artist that he wants to check. Like Winamps Quick Jump where you get New window sorted A-Z with all tracks without interfere with Now playing.

I updated Bug. You will see that in my examples i actually do not want to break current track order (I have hundreds of playlist where tracks are sorted Bit2Bit(BPM, and must be played in exact order due the fact that they represents DJ sets or parts of DJ sets) and it is essential that I do not need to pay attention to always apply undo after some sort change. Example of current behavior when I search for Song. Sort Title [can't find it] -> Undo -> Sort Artist [Locate artist, song is not in list] -> Undo -> Scroll until I find that artist again -> Right Click on song from Artist -> Find more from same -> Artist -> Locate song), if I accidentally change Tree view prior to reverting to original order (using Undo) I've lost playlist order and several hours/days of work (Some playlists have 1000+ tracks). This is something that MM should not do Automatically and is essential for any DJ or user that care about his playlists.

Same thing goes for Now playing, especially in Party Mode (it also need one more feature but it is not related to this one)

If you need more examples I'll be glad to provide.

rusty

2008-12-10 13:52

administrator   ~0015577

1) The functionality that Peke describes is for Now Playing/Playlists is actually a regression. It's pretty much the same as the <F5> (refresh view to actual sort order) ; <alt><F5> (save new sort order) functionality that MM previously had.

I'm not sure when this stopped working, but it no longer works. What would be expected is:
a) Click a column to resort
b) Press <F5> or click '#' column to sort by Play Order
c) Press <Alt><F5> or right-click '#' > 'Reset Play Order'

2) Default Sorts for Artist / Albums is a separate issue, but these should indeed work as Peke describe (I haven't tested this).

Raising to 'immediate'.

jiri

2008-12-10 14:21

administrator   ~0015578

1) I disagree on this, if you look into issue 0001273, it really currently works as we originally designed it (and have always worked this way). I also think that it makes sense this way, although I can understand that in some cases users might prefer the alternative approach. We can think about adding it as an option for future releases, but for now I'd leave it as is.

2) Default sort order for Albums is Disk# -> Track#, so I guess that there isn't anything to do here.

rusty

2008-12-10 15:38

administrator   ~0015580

Last edited: 2008-12-10 15:43

1) I was mistaken. As you point out, Now Playing was designed to have sort order=play order, with 'undo' functionality to revert mistaken sorts. At a future date we can decide whether to allow play order to be independent of sort order.

Is Playlist nodes though, Sort order is independent of play order, so we should enable:
-Clicking of '#' to sort by play order
-Right-click of '#' > 'Update Play Order (Alt+F5)'

jiri

2008-12-10 15:44

administrator   ~0015581

Assigning to Petr to implement the last two items.

peke

2008-12-10 19:44

developer   ~0015582

Last edited: 2008-12-10 20:14

1) You are right Jiri. I must have mistaken when I have read 0001273 due the fact that # column didn't existed then, and as # Column is special case this will add long missed feature for every DJ Generally where speed of access and easiness of adding is essential, especially as most DJs do things in last few seconds of playing tracks.

To clarify things?
.a) I wonder if Now playing sorting can be added to <-[\/]|[\/]-> or even make things easier to users and add Undo to Now playing (eg. List|Edit|Copy|Undo) as current undo makes to much interactions from user (Right Click -> List -> Undo -> Select undo Action)
.b) Does Now playing behavior also apply when viewing Now Playing in Track View as I would also prefer that behavior would be like in Playlist and not like Now Playing window itself

2. You are right for Albums Tree but not for Artist -> Albums Tree (The one you get when expanding Artist tree)

petr

2008-12-10 19:49

developer   ~0015584

Clicking/right-clicking on # column will be implemented as suggested in 1202.

stephen_platt

2009-02-19 23:45

developer   ~0016753

verified 1223